From aa24f69f41685a64ee936e22bcfd2e00895c8ad3 Mon Sep 17 00:00:00 2001
From: Keshav E <keshav@multicorewareinc.com>
Date: Fri, 25 Feb 2022 16:25:16 +0530
Subject: [PATCH] Fix Linux bug to utilize all the cores

---
 source/common/threadpool.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/source/common/threadpool.cpp b/source/common/threadpool.cpp
index 2db7a14..91e82a2 100644
--- a/source/common/threadpool.cpp
+++ b/source/common/threadpool.cpp
@@ -301,7 +301,7 @@ ThreadPool* ThreadPool::allocThreadPools(x265_param* p, int& numPools, bool isTh
     /* limit threads based on param->numaPools
      * For windows because threads can't be allocated to live across sockets
      * changing the default behavior to be per-socket pools -- FIXME */
-#if defined(_WIN32_WINNT) && _WIN32_WINNT >= _WIN32_WINNT_WIN7
+#if defined(_WIN32_WINNT) && _WIN32_WINNT >= _WIN32_WINNT_WIN7 || HAVE_LIBNUMA
     if (!p->numaPools || (strcmp(p->numaPools, "NULL") == 0 || strcmp(p->numaPools, "*") == 0 || strcmp(p->numaPools, "") == 0))
     {
          char poolString[50] = "";
-- 
1.8.3.1

